Bug 65469 - conditional build w/out tcl fails
conditional build w/out tcl fails
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-24 15:59 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-15 12:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-24 15:59:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; H010818)

Description of problem:
error in line 869 of postgresql.spec
line 869 reads:
%if tcl

Should read:
%if %tcl


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
rpmbuild -ba \
--define 'tcl 0' \
--define 'tkpkg 0' \
--define 'pltcl 0' \
--define 'pgaccess 0' \
postgresql.spec
	

Actual Results:  RPM build errors:
    File not found: /var/tmp/postgresql-7.2.1-root/usr/lib/libpgtcl.a

Expected Results:  + exit 0

Additional info:
Comment 1 Need Real Name 2002-06-15 12:08:48 EDT
Fixed in rawhide (postgresql-7.2.1-9.src.rpm)

Note You need to log in before you can comment on or make changes to this bug.